-- SQLite3
CREATE TABLE IF NOT EXISTS `entry` (
    `entry_id`     INTEGER PRIMARY KEY NOT NULL,
    `created`      TEXT    NOT NULL,
    `name`         TEXT    NOT NULL,
    `message`      TEXT    NOT NULL,
    `website`      TEXT    NOT NULL,
    `hide_website` INTEGER NOT NULL DEFAULT TRUE);

CREATE INDEX IF NOT EXISTS `entry_created_idx`
    ON `entry` (`created`);

CREATE TABLE IF NOT EXISTS `reply` (
    `entry_id` INTEGER PRIMARY KEY NOT NULL,
    `created`  TEXT    NOT NULL,
    `message`  TEXT    NOT NULL,
    FOREIGN KEY (`entry_id`)
        REFERENCES `entry` (`entry_id`)
        ON DELETE CASCADE
        ON UPDATE CASCADE );